// Copyright 2019 Google LLC
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     https://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

// Generated code. DO NOT EDIT!

namespace Google.Android.OverTheAir.V1.Tests
{
    using apis = Google.Android.OverTheAir.V1;
    using Google.Api.Gax;
    using Google.Api.Gax.Grpc;
    using Google.Protobuf.WellKnownTypes;
    using Grpc.Core;
    using Moq;
    using System;
    using System.Collections;
    using System.Collections.Generic;
    using System.Collections.ObjectModel;
    using System.Threading;
    using System.Threading.Tasks;
    using Xunit;

    /// <summary>Generated unit tests</summary>
    public class GeneratedOverTheAirServiceClientTest
    {
        [Fact]
        public void GetDeployment()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            GetDeploymentRequest expectedRequest = new GetDeploymentRequest
            {
                Name = new DeploymentName("[DEPLOYMENT]").ToString(),
                View = View.Basic,
            };
            Deployment expectedResponse = new Deployment
            {
                Name = "name2-1052831874",
                Description = "description-1724546052",
                ApiLevel = 81920737,
                ApfeProductId = "apfeProductId-1747882468",
            };
            mockGrpcClient.Setup(x => x.GetDeployment(expectedRequest, It.IsAny<CallOptions>()))
                .Returns(expectedResponse);
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            string formattedName = new DeploymentName("[DEPLOYMENT]").ToString();
            View view = View.Basic;
            Deployment response = client.GetDeployment(formattedName, view);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public async Task GetDeploymentAsync()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            GetDeploymentRequest expectedRequest = new GetDeploymentRequest
            {
                Name = new DeploymentName("[DEPLOYMENT]").ToString(),
                View = View.Basic,
            };
            Deployment expectedResponse = new Deployment
            {
                Name = "name2-1052831874",
                Description = "description-1724546052",
                ApiLevel = 81920737,
                ApfeProductId = "apfeProductId-1747882468",
            };
            mockGrpcClient.Setup(x => x.GetDeploymentAsync(expectedRequest, It.IsAny<CallOptions>()))
                .Returns(new Grpc.Core.AsyncUnaryCall<Deployment>(Task.FromResult(expectedResponse), null, null, null, null));
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            string formattedName = new DeploymentName("[DEPLOYMENT]").ToString();
            View view = View.Basic;
            Deployment response = await client.GetDeploymentAsync(formattedName, view);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public void GetDeployment2()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            GetDeploymentRequest request = new GetDeploymentRequest
            {
                Name = new DeploymentName("[DEPLOYMENT]").ToString(),
            };
            Deployment expectedResponse = new Deployment
            {
                Name = "name2-1052831874",
                Description = "description-1724546052",
                ApiLevel = 81920737,
                ApfeProductId = "apfeProductId-1747882468",
            };
            mockGrpcClient.Setup(x => x.GetDeployment(request, It.IsAny<CallOptions>()))
                .Returns(expectedResponse);
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            Deployment response = client.GetDeployment(request);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public async Task GetDeploymentAsync2()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            GetDeploymentRequest request = new GetDeploymentRequest
            {
                Name = new DeploymentName("[DEPLOYMENT]").ToString(),
            };
            Deployment expectedResponse = new Deployment
            {
                Name = "name2-1052831874",
                Description = "description-1724546052",
                ApiLevel = 81920737,
                ApfeProductId = "apfeProductId-1747882468",
            };
            mockGrpcClient.Setup(x => x.GetDeploymentAsync(request, It.IsAny<CallOptions>()))
                .Returns(new Grpc.Core.AsyncUnaryCall<Deployment>(Task.FromResult(expectedResponse), null, null, null, null));
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            Deployment response = await client.GetDeploymentAsync(request);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public void ListDeployments()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            ListDeploymentsRequest expectedRequest = new ListDeploymentsRequest
            {
                View = View.Basic,
            };
            ListDeploymentsResponse expectedResponse = new ListDeploymentsResponse();
            mockGrpcClient.Setup(x => x.ListDeployments(expectedRequest, It.IsAny<CallOptions>()))
                .Returns(expectedResponse);
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            View view = View.Basic;
            ListDeploymentsResponse response = client.ListDeployments(view);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public async Task ListDeploymentsAsync()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            ListDeploymentsRequest expectedRequest = new ListDeploymentsRequest
            {
                View = View.Basic,
            };
            ListDeploymentsResponse expectedResponse = new ListDeploymentsResponse();
            mockGrpcClient.Setup(x => x.ListDeploymentsAsync(expectedRequest, It.IsAny<CallOptions>()))
                .Returns(new Grpc.Core.AsyncUnaryCall<ListDeploymentsResponse>(Task.FromResult(expectedResponse), null, null, null, null));
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            View view = View.Basic;
            ListDeploymentsResponse response = await client.ListDeploymentsAsync(view);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public void ListDeployments2()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            ListDeploymentsRequest request = new ListDeploymentsRequest();
            ListDeploymentsResponse expectedResponse = new ListDeploymentsResponse();
            mockGrpcClient.Setup(x => x.ListDeployments(request, It.IsAny<CallOptions>()))
                .Returns(expectedResponse);
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            ListDeploymentsResponse response = client.ListDeployments(request);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public async Task ListDeploymentsAsync2()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            ListDeploymentsRequest request = new ListDeploymentsRequest();
            ListDeploymentsResponse expectedResponse = new ListDeploymentsResponse();
            mockGrpcClient.Setup(x => x.ListDeploymentsAsync(request, It.IsAny<CallOptions>()))
                .Returns(new Grpc.Core.AsyncUnaryCall<ListDeploymentsResponse>(Task.FromResult(expectedResponse), null, null, null, null));
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            ListDeploymentsResponse response = await client.ListDeploymentsAsync(request);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public void UpdateDeployment()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            UpdateDeploymentRequest expectedRequest = new UpdateDeploymentRequest
            {
                Name = new DeploymentName("[DEPLOYMENT]").ToString(),
                Deployment = new Deployment(),
                VersionTag = new VersionTag(),
            };
            Deployment expectedResponse = new Deployment
            {
                Name = "name2-1052831874",
                Description = "description-1724546052",
                ApiLevel = 81920737,
                ApfeProductId = "apfeProductId-1747882468",
            };
            mockGrpcClient.Setup(x => x.UpdateDeployment(expectedRequest, It.IsAny<CallOptions>()))
                .Returns(expectedResponse);
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            string formattedName = new DeploymentName("[DEPLOYMENT]").ToString();
            Deployment deployment = new Deployment();
            VersionTag versionTag = new VersionTag();
            Deployment response = client.UpdateDeployment(formattedName, deployment, versionTag);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public async Task UpdateDeploymentAsync()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            UpdateDeploymentRequest expectedRequest = new UpdateDeploymentRequest
            {
                Name = new DeploymentName("[DEPLOYMENT]").ToString(),
                Deployment = new Deployment(),
                VersionTag = new VersionTag(),
            };
            Deployment expectedResponse = new Deployment
            {
                Name = "name2-1052831874",
                Description = "description-1724546052",
                ApiLevel = 81920737,
                ApfeProductId = "apfeProductId-1747882468",
            };
            mockGrpcClient.Setup(x => x.UpdateDeploymentAsync(expectedRequest, It.IsAny<CallOptions>()))
                .Returns(new Grpc.Core.AsyncUnaryCall<Deployment>(Task.FromResult(expectedResponse), null, null, null, null));
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            string formattedName = new DeploymentName("[DEPLOYMENT]").ToString();
            Deployment deployment = new Deployment();
            VersionTag versionTag = new VersionTag();
            Deployment response = await client.UpdateDeploymentAsync(formattedName, deployment, versionTag);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public void UpdateDeployment2()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            UpdateDeploymentRequest request = new UpdateDeploymentRequest
            {
                Name = new DeploymentName("[DEPLOYMENT]").ToString(),
                Deployment = new Deployment(),
                VersionTag = new VersionTag(),
            };
            Deployment expectedResponse = new Deployment
            {
                Name = "name2-1052831874",
                Description = "description-1724546052",
                ApiLevel = 81920737,
                ApfeProductId = "apfeProductId-1747882468",
            };
            mockGrpcClient.Setup(x => x.UpdateDeployment(request, It.IsAny<CallOptions>()))
                .Returns(expectedResponse);
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            Deployment response = client.UpdateDeployment(request);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public async Task UpdateDeploymentAsync2()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            UpdateDeploymentRequest request = new UpdateDeploymentRequest
            {
                Name = new DeploymentName("[DEPLOYMENT]").ToString(),
                Deployment = new Deployment(),
                VersionTag = new VersionTag(),
            };
            Deployment expectedResponse = new Deployment
            {
                Name = "name2-1052831874",
                Description = "description-1724546052",
                ApiLevel = 81920737,
                ApfeProductId = "apfeProductId-1747882468",
            };
            mockGrpcClient.Setup(x => x.UpdateDeploymentAsync(request, It.IsAny<CallOptions>()))
                .Returns(new Grpc.Core.AsyncUnaryCall<Deployment>(Task.FromResult(expectedResponse), null, null, null, null));
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            Deployment response = await client.UpdateDeploymentAsync(request);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public void GetPackage()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            GetPackageRequest expectedRequest = new GetPackageRequest
            {
                Name = new PackagePathName("[DEPLOYMENT]", "[PACKAGE_PATH]").ToString(),
                View = View.Basic,
            };
            Package expectedResponse = new Package
            {
                Name = "name2-1052831874",
                Title = "title110371416",
            };
            mockGrpcClient.Setup(x => x.GetPackage(expectedRequest, It.IsAny<CallOptions>()))
                .Returns(expectedResponse);
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            string formattedName = new PackagePathName("[DEPLOYMENT]", "[PACKAGE_PATH]").ToString();
            View view = View.Basic;
            Package response = client.GetPackage(formattedName, view);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public async Task GetPackageAsync()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            GetPackageRequest expectedRequest = new GetPackageRequest
            {
                Name = new PackagePathName("[DEPLOYMENT]", "[PACKAGE_PATH]").ToString(),
                View = View.Basic,
            };
            Package expectedResponse = new Package
            {
                Name = "name2-1052831874",
                Title = "title110371416",
            };
            mockGrpcClient.Setup(x => x.GetPackageAsync(expectedRequest, It.IsAny<CallOptions>()))
                .Returns(new Grpc.Core.AsyncUnaryCall<Package>(Task.FromResult(expectedResponse), null, null, null, null));
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            string formattedName = new PackagePathName("[DEPLOYMENT]", "[PACKAGE_PATH]").ToString();
            View view = View.Basic;
            Package response = await client.GetPackageAsync(formattedName, view);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public void GetPackage2()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            GetPackageRequest request = new GetPackageRequest
            {
                Name = new PackagePathName("[DEPLOYMENT]", "[PACKAGE_PATH]").ToString(),
            };
            Package expectedResponse = new Package
            {
                Name = "name2-1052831874",
                Title = "title110371416",
            };
            mockGrpcClient.Setup(x => x.GetPackage(request, It.IsAny<CallOptions>()))
                .Returns(expectedResponse);
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            Package response = client.GetPackage(request);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public async Task GetPackageAsync2()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            GetPackageRequest request = new GetPackageRequest
            {
                Name = new PackagePathName("[DEPLOYMENT]", "[PACKAGE_PATH]").ToString(),
            };
            Package expectedResponse = new Package
            {
                Name = "name2-1052831874",
                Title = "title110371416",
            };
            mockGrpcClient.Setup(x => x.GetPackageAsync(request, It.IsAny<CallOptions>()))
                .Returns(new Grpc.Core.AsyncUnaryCall<Package>(Task.FromResult(expectedResponse), null, null, null, null));
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            Package response = await client.GetPackageAsync(request);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public void ListPackages()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            ListPackagesRequest expectedRequest = new ListPackagesRequest
            {
                Name = new DeploymentName("[DEPLOYMENT]").ToString(),
                View = View.Basic,
            };
            ListPackagesResponse expectedResponse = new ListPackagesResponse();
            mockGrpcClient.Setup(x => x.ListPackages(expectedRequest, It.IsAny<CallOptions>()))
                .Returns(expectedResponse);
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            string formattedName = new DeploymentName("[DEPLOYMENT]").ToString();
            View view = View.Basic;
            ListPackagesResponse response = client.ListPackages(formattedName, view);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public async Task ListPackagesAsync()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            ListPackagesRequest expectedRequest = new ListPackagesRequest
            {
                Name = new DeploymentName("[DEPLOYMENT]").ToString(),
                View = View.Basic,
            };
            ListPackagesResponse expectedResponse = new ListPackagesResponse();
            mockGrpcClient.Setup(x => x.ListPackagesAsync(expectedRequest, It.IsAny<CallOptions>()))
                .Returns(new Grpc.Core.AsyncUnaryCall<ListPackagesResponse>(Task.FromResult(expectedResponse), null, null, null, null));
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            string formattedName = new DeploymentName("[DEPLOYMENT]").ToString();
            View view = View.Basic;
            ListPackagesResponse response = await client.ListPackagesAsync(formattedName, view);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public void ListPackages2()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            ListPackagesRequest request = new ListPackagesRequest
            {
                Name = new DeploymentName("[DEPLOYMENT]").ToString(),
            };
            ListPackagesResponse expectedResponse = new ListPackagesResponse();
            mockGrpcClient.Setup(x => x.ListPackages(request, It.IsAny<CallOptions>()))
                .Returns(expectedResponse);
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            ListPackagesResponse response = client.ListPackages(request);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public async Task ListPackagesAsync2()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            ListPackagesRequest request = new ListPackagesRequest
            {
                Name = new DeploymentName("[DEPLOYMENT]").ToString(),
            };
            ListPackagesResponse expectedResponse = new ListPackagesResponse();
            mockGrpcClient.Setup(x => x.ListPackagesAsync(request, It.IsAny<CallOptions>()))
                .Returns(new Grpc.Core.AsyncUnaryCall<ListPackagesResponse>(Task.FromResult(expectedResponse), null, null, null, null));
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            ListPackagesResponse response = await client.ListPackagesAsync(request);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public void DeletePackage()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            DeletePackageRequest expectedRequest = new DeletePackageRequest
            {
                Name = new PackagePathName("[DEPLOYMENT]", "[PACKAGE_PATH]").ToString(),
            };
            DeletePackageResponse expectedResponse = new DeletePackageResponse();
            mockGrpcClient.Setup(x => x.DeletePackage(expectedRequest, It.IsAny<CallOptions>()))
                .Returns(expectedResponse);
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            string formattedName = new PackagePathName("[DEPLOYMENT]", "[PACKAGE_PATH]").ToString();
            DeletePackageResponse response = client.DeletePackage(formattedName);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public async Task DeletePackageAsync()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            DeletePackageRequest expectedRequest = new DeletePackageRequest
            {
                Name = new PackagePathName("[DEPLOYMENT]", "[PACKAGE_PATH]").ToString(),
            };
            DeletePackageResponse expectedResponse = new DeletePackageResponse();
            mockGrpcClient.Setup(x => x.DeletePackageAsync(expectedRequest, It.IsAny<CallOptions>()))
                .Returns(new Grpc.Core.AsyncUnaryCall<DeletePackageResponse>(Task.FromResult(expectedResponse), null, null, null, null));
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            string formattedName = new PackagePathName("[DEPLOYMENT]", "[PACKAGE_PATH]").ToString();
            DeletePackageResponse response = await client.DeletePackageAsync(formattedName);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public void DeletePackage2()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            DeletePackageRequest request = new DeletePackageRequest
            {
                Name = new PackagePathName("[DEPLOYMENT]", "[PACKAGE_PATH]").ToString(),
            };
            DeletePackageResponse expectedResponse = new DeletePackageResponse();
            mockGrpcClient.Setup(x => x.DeletePackage(request, It.IsAny<CallOptions>()))
                .Returns(expectedResponse);
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            DeletePackageResponse response = client.DeletePackage(request);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public async Task DeletePackageAsync2()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            DeletePackageRequest request = new DeletePackageRequest
            {
                Name = new PackagePathName("[DEPLOYMENT]", "[PACKAGE_PATH]").ToString(),
            };
            DeletePackageResponse expectedResponse = new DeletePackageResponse();
            mockGrpcClient.Setup(x => x.DeletePackageAsync(request, It.IsAny<CallOptions>()))
                .Returns(new Grpc.Core.AsyncUnaryCall<DeletePackageResponse>(Task.FromResult(expectedResponse), null, null, null, null));
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            DeletePackageResponse response = await client.DeletePackageAsync(request);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public void UpdatePackage()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            UpdatePackageRequest expectedRequest = new UpdatePackageRequest
            {
                Name = new PackagePathName("[DEPLOYMENT]", "[PACKAGE_PATH]").ToString(),
                PackageObj = new Package(),
                VersionTag = new VersionTag(),
            };
            Package expectedResponse = new Package
            {
                Name = "name2-1052831874",
                Title = "title110371416",
            };
            mockGrpcClient.Setup(x => x.UpdatePackage(expectedRequest, It.IsAny<CallOptions>()))
                .Returns(expectedResponse);
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            string formattedName = new PackagePathName("[DEPLOYMENT]", "[PACKAGE_PATH]").ToString();
            Package packageObj = new Package();
            VersionTag versionTag = new VersionTag();
            Package response = client.UpdatePackage(formattedName, packageObj, versionTag);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public async Task UpdatePackageAsync()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            UpdatePackageRequest expectedRequest = new UpdatePackageRequest
            {
                Name = new PackagePathName("[DEPLOYMENT]", "[PACKAGE_PATH]").ToString(),
                PackageObj = new Package(),
                VersionTag = new VersionTag(),
            };
            Package expectedResponse = new Package
            {
                Name = "name2-1052831874",
                Title = "title110371416",
            };
            mockGrpcClient.Setup(x => x.UpdatePackageAsync(expectedRequest, It.IsAny<CallOptions>()))
                .Returns(new Grpc.Core.AsyncUnaryCall<Package>(Task.FromResult(expectedResponse), null, null, null, null));
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            string formattedName = new PackagePathName("[DEPLOYMENT]", "[PACKAGE_PATH]").ToString();
            Package packageObj = new Package();
            VersionTag versionTag = new VersionTag();
            Package response = await client.UpdatePackageAsync(formattedName, packageObj, versionTag);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public void UpdatePackage2()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            UpdatePackageRequest request = new UpdatePackageRequest
            {
                Name = new PackagePathName("[DEPLOYMENT]", "[PACKAGE_PATH]").ToString(),
                PackageObj = new Package(),
                VersionTag = new VersionTag(),
            };
            Package expectedResponse = new Package
            {
                Name = "name2-1052831874",
                Title = "title110371416",
            };
            mockGrpcClient.Setup(x => x.UpdatePackage(request, It.IsAny<CallOptions>()))
                .Returns(expectedResponse);
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            Package response = client.UpdatePackage(request);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public async Task UpdatePackageAsync2()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            UpdatePackageRequest request = new UpdatePackageRequest
            {
                Name = new PackagePathName("[DEPLOYMENT]", "[PACKAGE_PATH]").ToString(),
                PackageObj = new Package(),
                VersionTag = new VersionTag(),
            };
            Package expectedResponse = new Package
            {
                Name = "name2-1052831874",
                Title = "title110371416",
            };
            mockGrpcClient.Setup(x => x.UpdatePackageAsync(request, It.IsAny<CallOptions>()))
                .Returns(new Grpc.Core.AsyncUnaryCall<Package>(Task.FromResult(expectedResponse), null, null, null, null));
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            Package response = await client.UpdatePackageAsync(request);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public void CreateConfig()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            CreateConfigRequest expectedRequest = new CreateConfigRequest
            {
                Name = new DeploymentName("[DEPLOYMENT]").ToString(),
                Config = new Config(),
            };
            Config expectedResponse = new Config
            {
                Name = "name2-1052831874",
                Title = "title110371416",
                Description = "description-1724546052",
                UpdateBatteryAwareness = false,
                UpdateRequiredSetup = false,
                ImmediateRelease = false,
                LowerCheckinInterval = false,
                SecurityUpdate = true,
            };
            mockGrpcClient.Setup(x => x.CreateConfig(expectedRequest, It.IsAny<CallOptions>()))
                .Returns(expectedResponse);
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            string formattedName = new DeploymentName("[DEPLOYMENT]").ToString();
            Config config = new Config();
            Config response = client.CreateConfig(formattedName, config);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public async Task CreateConfigAsync()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            CreateConfigRequest expectedRequest = new CreateConfigRequest
            {
                Name = new DeploymentName("[DEPLOYMENT]").ToString(),
                Config = new Config(),
            };
            Config expectedResponse = new Config
            {
                Name = "name2-1052831874",
                Title = "title110371416",
                Description = "description-1724546052",
                UpdateBatteryAwareness = false,
                UpdateRequiredSetup = false,
                ImmediateRelease = false,
                LowerCheckinInterval = false,
                SecurityUpdate = true,
            };
            mockGrpcClient.Setup(x => x.CreateConfigAsync(expectedRequest, It.IsAny<CallOptions>()))
                .Returns(new Grpc.Core.AsyncUnaryCall<Config>(Task.FromResult(expectedResponse), null, null, null, null));
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            string formattedName = new DeploymentName("[DEPLOYMENT]").ToString();
            Config config = new Config();
            Config response = await client.CreateConfigAsync(formattedName, config);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public void CreateConfig2()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            CreateConfigRequest request = new CreateConfigRequest
            {
                Name = new DeploymentName("[DEPLOYMENT]").ToString(),
                Config = new Config(),
            };
            Config expectedResponse = new Config
            {
                Name = "name2-1052831874",
                Title = "title110371416",
                Description = "description-1724546052",
                UpdateBatteryAwareness = false,
                UpdateRequiredSetup = false,
                ImmediateRelease = false,
                LowerCheckinInterval = false,
                SecurityUpdate = true,
            };
            mockGrpcClient.Setup(x => x.CreateConfig(request, It.IsAny<CallOptions>()))
                .Returns(expectedResponse);
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            Config response = client.CreateConfig(request);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public async Task CreateConfigAsync2()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            CreateConfigRequest request = new CreateConfigRequest
            {
                Name = new DeploymentName("[DEPLOYMENT]").ToString(),
                Config = new Config(),
            };
            Config expectedResponse = new Config
            {
                Name = "name2-1052831874",
                Title = "title110371416",
                Description = "description-1724546052",
                UpdateBatteryAwareness = false,
                UpdateRequiredSetup = false,
                ImmediateRelease = false,
                LowerCheckinInterval = false,
                SecurityUpdate = true,
            };
            mockGrpcClient.Setup(x => x.CreateConfigAsync(request, It.IsAny<CallOptions>()))
                .Returns(new Grpc.Core.AsyncUnaryCall<Config>(Task.FromResult(expectedResponse), null, null, null, null));
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            Config response = await client.CreateConfigAsync(request);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public void GetConfig()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            GetConfigRequest expectedRequest = new GetConfigRequest
            {
                Name = new ConfigName("[DEPLOYMENT]", "[CONFIG]").ToString(),
                View = View.Basic,
            };
            Config expectedResponse = new Config
            {
                Name = "name2-1052831874",
                Title = "title110371416",
                Description = "description-1724546052",
                UpdateBatteryAwareness = false,
                UpdateRequiredSetup = false,
                ImmediateRelease = false,
                LowerCheckinInterval = false,
                SecurityUpdate = true,
            };
            mockGrpcClient.Setup(x => x.GetConfig(expectedRequest, It.IsAny<CallOptions>()))
                .Returns(expectedResponse);
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            string formattedName = new ConfigName("[DEPLOYMENT]", "[CONFIG]").ToString();
            View view = View.Basic;
            Config response = client.GetConfig(formattedName, view);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public async Task GetConfigAsync()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            GetConfigRequest expectedRequest = new GetConfigRequest
            {
                Name = new ConfigName("[DEPLOYMENT]", "[CONFIG]").ToString(),
                View = View.Basic,
            };
            Config expectedResponse = new Config
            {
                Name = "name2-1052831874",
                Title = "title110371416",
                Description = "description-1724546052",
                UpdateBatteryAwareness = false,
                UpdateRequiredSetup = false,
                ImmediateRelease = false,
                LowerCheckinInterval = false,
                SecurityUpdate = true,
            };
            mockGrpcClient.Setup(x => x.GetConfigAsync(expectedRequest, It.IsAny<CallOptions>()))
                .Returns(new Grpc.Core.AsyncUnaryCall<Config>(Task.FromResult(expectedResponse), null, null, null, null));
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            string formattedName = new ConfigName("[DEPLOYMENT]", "[CONFIG]").ToString();
            View view = View.Basic;
            Config response = await client.GetConfigAsync(formattedName, view);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public void GetConfig2()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            GetConfigRequest request = new GetConfigRequest
            {
                Name = new ConfigName("[DEPLOYMENT]", "[CONFIG]").ToString(),
            };
            Config expectedResponse = new Config
            {
                Name = "name2-1052831874",
                Title = "title110371416",
                Description = "description-1724546052",
                UpdateBatteryAwareness = false,
                UpdateRequiredSetup = false,
                ImmediateRelease = false,
                LowerCheckinInterval = false,
                SecurityUpdate = true,
            };
            mockGrpcClient.Setup(x => x.GetConfig(request, It.IsAny<CallOptions>()))
                .Returns(expectedResponse);
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            Config response = client.GetConfig(request);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public async Task GetConfigAsync2()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            GetConfigRequest request = new GetConfigRequest
            {
                Name = new ConfigName("[DEPLOYMENT]", "[CONFIG]").ToString(),
            };
            Config expectedResponse = new Config
            {
                Name = "name2-1052831874",
                Title = "title110371416",
                Description = "description-1724546052",
                UpdateBatteryAwareness = false,
                UpdateRequiredSetup = false,
                ImmediateRelease = false,
                LowerCheckinInterval = false,
                SecurityUpdate = true,
            };
            mockGrpcClient.Setup(x => x.GetConfigAsync(request, It.IsAny<CallOptions>()))
                .Returns(new Grpc.Core.AsyncUnaryCall<Config>(Task.FromResult(expectedResponse), null, null, null, null));
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            Config response = await client.GetConfigAsync(request);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public void ListConfigs()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            ListConfigsRequest expectedRequest = new ListConfigsRequest
            {
                Name = new DeploymentName("[DEPLOYMENT]").ToString(),
                View = View.Basic,
            };
            ListConfigsResponse expectedResponse = new ListConfigsResponse();
            mockGrpcClient.Setup(x => x.ListConfigs(expectedRequest, It.IsAny<CallOptions>()))
                .Returns(expectedResponse);
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            string formattedName = new DeploymentName("[DEPLOYMENT]").ToString();
            View view = View.Basic;
            ListConfigsResponse response = client.ListConfigs(formattedName, view);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public async Task ListConfigsAsync()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            ListConfigsRequest expectedRequest = new ListConfigsRequest
            {
                Name = new DeploymentName("[DEPLOYMENT]").ToString(),
                View = View.Basic,
            };
            ListConfigsResponse expectedResponse = new ListConfigsResponse();
            mockGrpcClient.Setup(x => x.ListConfigsAsync(expectedRequest, It.IsAny<CallOptions>()))
                .Returns(new Grpc.Core.AsyncUnaryCall<ListConfigsResponse>(Task.FromResult(expectedResponse), null, null, null, null));
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            string formattedName = new DeploymentName("[DEPLOYMENT]").ToString();
            View view = View.Basic;
            ListConfigsResponse response = await client.ListConfigsAsync(formattedName, view);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public void ListConfigs2()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            ListConfigsRequest request = new ListConfigsRequest
            {
                Name = new DeploymentName("[DEPLOYMENT]").ToString(),
            };
            ListConfigsResponse expectedResponse = new ListConfigsResponse();
            mockGrpcClient.Setup(x => x.ListConfigs(request, It.IsAny<CallOptions>()))
                .Returns(expectedResponse);
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            ListConfigsResponse response = client.ListConfigs(request);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public async Task ListConfigsAsync2()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            ListConfigsRequest request = new ListConfigsRequest
            {
                Name = new DeploymentName("[DEPLOYMENT]").ToString(),
            };
            ListConfigsResponse expectedResponse = new ListConfigsResponse();
            mockGrpcClient.Setup(x => x.ListConfigsAsync(request, It.IsAny<CallOptions>()))
                .Returns(new Grpc.Core.AsyncUnaryCall<ListConfigsResponse>(Task.FromResult(expectedResponse), null, null, null, null));
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            ListConfigsResponse response = await client.ListConfigsAsync(request);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public void DeleteConfig()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            DeleteConfigRequest expectedRequest = new DeleteConfigRequest
            {
                Name = new ConfigName("[DEPLOYMENT]", "[CONFIG]").ToString(),
            };
            DeleteConfigResponse expectedResponse = new DeleteConfigResponse();
            mockGrpcClient.Setup(x => x.DeleteConfig(expectedRequest, It.IsAny<CallOptions>()))
                .Returns(expectedResponse);
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            string formattedName = new ConfigName("[DEPLOYMENT]", "[CONFIG]").ToString();
            DeleteConfigResponse response = client.DeleteConfig(formattedName);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public async Task DeleteConfigAsync()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            DeleteConfigRequest expectedRequest = new DeleteConfigRequest
            {
                Name = new ConfigName("[DEPLOYMENT]", "[CONFIG]").ToString(),
            };
            DeleteConfigResponse expectedResponse = new DeleteConfigResponse();
            mockGrpcClient.Setup(x => x.DeleteConfigAsync(expectedRequest, It.IsAny<CallOptions>()))
                .Returns(new Grpc.Core.AsyncUnaryCall<DeleteConfigResponse>(Task.FromResult(expectedResponse), null, null, null, null));
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            string formattedName = new ConfigName("[DEPLOYMENT]", "[CONFIG]").ToString();
            DeleteConfigResponse response = await client.DeleteConfigAsync(formattedName);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public void DeleteConfig2()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            DeleteConfigRequest request = new DeleteConfigRequest
            {
                Name = new ConfigName("[DEPLOYMENT]", "[CONFIG]").ToString(),
            };
            DeleteConfigResponse expectedResponse = new DeleteConfigResponse();
            mockGrpcClient.Setup(x => x.DeleteConfig(request, It.IsAny<CallOptions>()))
                .Returns(expectedResponse);
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            DeleteConfigResponse response = client.DeleteConfig(request);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public async Task DeleteConfigAsync2()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            DeleteConfigRequest request = new DeleteConfigRequest
            {
                Name = new ConfigName("[DEPLOYMENT]", "[CONFIG]").ToString(),
            };
            DeleteConfigResponse expectedResponse = new DeleteConfigResponse();
            mockGrpcClient.Setup(x => x.DeleteConfigAsync(request, It.IsAny<CallOptions>()))
                .Returns(new Grpc.Core.AsyncUnaryCall<DeleteConfigResponse>(Task.FromResult(expectedResponse), null, null, null, null));
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            DeleteConfigResponse response = await client.DeleteConfigAsync(request);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public void UpdateConfig()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            UpdateConfigRequest expectedRequest = new UpdateConfigRequest
            {
                Name = new ConfigName("[DEPLOYMENT]", "[CONFIG]").ToString(),
                Config = new Config(),
                VersionTag = new VersionTag(),
            };
            Config expectedResponse = new Config
            {
                Name = "name2-1052831874",
                Title = "title110371416",
                Description = "description-1724546052",
                UpdateBatteryAwareness = false,
                UpdateRequiredSetup = false,
                ImmediateRelease = false,
                LowerCheckinInterval = false,
                SecurityUpdate = true,
            };
            mockGrpcClient.Setup(x => x.UpdateConfig(expectedRequest, It.IsAny<CallOptions>()))
                .Returns(expectedResponse);
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            string formattedName = new ConfigName("[DEPLOYMENT]", "[CONFIG]").ToString();
            Config config = new Config();
            VersionTag versionTag = new VersionTag();
            Config response = client.UpdateConfig(formattedName, config, versionTag);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public async Task UpdateConfigAsync()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            UpdateConfigRequest expectedRequest = new UpdateConfigRequest
            {
                Name = new ConfigName("[DEPLOYMENT]", "[CONFIG]").ToString(),
                Config = new Config(),
                VersionTag = new VersionTag(),
            };
            Config expectedResponse = new Config
            {
                Name = "name2-1052831874",
                Title = "title110371416",
                Description = "description-1724546052",
                UpdateBatteryAwareness = false,
                UpdateRequiredSetup = false,
                ImmediateRelease = false,
                LowerCheckinInterval = false,
                SecurityUpdate = true,
            };
            mockGrpcClient.Setup(x => x.UpdateConfigAsync(expectedRequest, It.IsAny<CallOptions>()))
                .Returns(new Grpc.Core.AsyncUnaryCall<Config>(Task.FromResult(expectedResponse), null, null, null, null));
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            string formattedName = new ConfigName("[DEPLOYMENT]", "[CONFIG]").ToString();
            Config config = new Config();
            VersionTag versionTag = new VersionTag();
            Config response = await client.UpdateConfigAsync(formattedName, config, versionTag);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public void UpdateConfig2()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            UpdateConfigRequest request = new UpdateConfigRequest
            {
                Name = new ConfigName("[DEPLOYMENT]", "[CONFIG]").ToString(),
                Config = new Config(),
                VersionTag = new VersionTag(),
            };
            Config expectedResponse = new Config
            {
                Name = "name2-1052831874",
                Title = "title110371416",
                Description = "description-1724546052",
                UpdateBatteryAwareness = false,
                UpdateRequiredSetup = false,
                ImmediateRelease = false,
                LowerCheckinInterval = false,
                SecurityUpdate = true,
            };
            mockGrpcClient.Setup(x => x.UpdateConfig(request, It.IsAny<CallOptions>()))
                .Returns(expectedResponse);
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            Config response = client.UpdateConfig(request);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public async Task UpdateConfigAsync2()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            UpdateConfigRequest request = new UpdateConfigRequest
            {
                Name = new ConfigName("[DEPLOYMENT]", "[CONFIG]").ToString(),
                Config = new Config(),
                VersionTag = new VersionTag(),
            };
            Config expectedResponse = new Config
            {
                Name = "name2-1052831874",
                Title = "title110371416",
                Description = "description-1724546052",
                UpdateBatteryAwareness = false,
                UpdateRequiredSetup = false,
                ImmediateRelease = false,
                LowerCheckinInterval = false,
                SecurityUpdate = true,
            };
            mockGrpcClient.Setup(x => x.UpdateConfigAsync(request, It.IsAny<CallOptions>()))
                .Returns(new Grpc.Core.AsyncUnaryCall<Config>(Task.FromResult(expectedResponse), null, null, null, null));
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            Config response = await client.UpdateConfigAsync(request);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public void CreateGroup()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            CreateGroupRequest expectedRequest = new CreateGroupRequest
            {
                Name = new DeploymentName("[DEPLOYMENT]").ToString(),
                Group = new Group(),
            };
            Group expectedResponse = new Group
            {
                Name = "name2-1052831874",
                Enabled = false,
                BypassRolloutSchedule = true,
            };
            mockGrpcClient.Setup(x => x.CreateGroup(expectedRequest, It.IsAny<CallOptions>()))
                .Returns(expectedResponse);
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            string formattedName = new DeploymentName("[DEPLOYMENT]").ToString();
            Group group = new Group();
            Group response = client.CreateGroup(formattedName, group);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public async Task CreateGroupAsync()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            CreateGroupRequest expectedRequest = new CreateGroupRequest
            {
                Name = new DeploymentName("[DEPLOYMENT]").ToString(),
                Group = new Group(),
            };
            Group expectedResponse = new Group
            {
                Name = "name2-1052831874",
                Enabled = false,
                BypassRolloutSchedule = true,
            };
            mockGrpcClient.Setup(x => x.CreateGroupAsync(expectedRequest, It.IsAny<CallOptions>()))
                .Returns(new Grpc.Core.AsyncUnaryCall<Group>(Task.FromResult(expectedResponse), null, null, null, null));
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            string formattedName = new DeploymentName("[DEPLOYMENT]").ToString();
            Group group = new Group();
            Group response = await client.CreateGroupAsync(formattedName, group);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public void CreateGroup2()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            CreateGroupRequest request = new CreateGroupRequest
            {
                Name = new DeploymentName("[DEPLOYMENT]").ToString(),
                Group = new Group(),
            };
            Group expectedResponse = new Group
            {
                Name = "name2-1052831874",
                Enabled = false,
                BypassRolloutSchedule = true,
            };
            mockGrpcClient.Setup(x => x.CreateGroup(request, It.IsAny<CallOptions>()))
                .Returns(expectedResponse);
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            Group response = client.CreateGroup(request);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public async Task CreateGroupAsync2()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            CreateGroupRequest request = new CreateGroupRequest
            {
                Name = new DeploymentName("[DEPLOYMENT]").ToString(),
                Group = new Group(),
            };
            Group expectedResponse = new Group
            {
                Name = "name2-1052831874",
                Enabled = false,
                BypassRolloutSchedule = true,
            };
            mockGrpcClient.Setup(x => x.CreateGroupAsync(request, It.IsAny<CallOptions>()))
                .Returns(new Grpc.Core.AsyncUnaryCall<Group>(Task.FromResult(expectedResponse), null, null, null, null));
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            Group response = await client.CreateGroupAsync(request);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public void GetGroup()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            GetGroupRequest expectedRequest = new GetGroupRequest
            {
                Name = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString(),
                View = View.Basic,
            };
            Group expectedResponse = new Group
            {
                Name = "name2-1052831874",
                Enabled = false,
                BypassRolloutSchedule = true,
            };
            mockGrpcClient.Setup(x => x.GetGroup(expectedRequest, It.IsAny<CallOptions>()))
                .Returns(expectedResponse);
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            string formattedName = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString();
            View view = View.Basic;
            Group response = client.GetGroup(formattedName, view);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public async Task GetGroupAsync()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            GetGroupRequest expectedRequest = new GetGroupRequest
            {
                Name = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString(),
                View = View.Basic,
            };
            Group expectedResponse = new Group
            {
                Name = "name2-1052831874",
                Enabled = false,
                BypassRolloutSchedule = true,
            };
            mockGrpcClient.Setup(x => x.GetGroupAsync(expectedRequest, It.IsAny<CallOptions>()))
                .Returns(new Grpc.Core.AsyncUnaryCall<Group>(Task.FromResult(expectedResponse), null, null, null, null));
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            string formattedName = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString();
            View view = View.Basic;
            Group response = await client.GetGroupAsync(formattedName, view);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public void GetGroup2()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            GetGroupRequest request = new GetGroupRequest
            {
                Name = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString(),
            };
            Group expectedResponse = new Group
            {
                Name = "name2-1052831874",
                Enabled = false,
                BypassRolloutSchedule = true,
            };
            mockGrpcClient.Setup(x => x.GetGroup(request, It.IsAny<CallOptions>()))
                .Returns(expectedResponse);
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            Group response = client.GetGroup(request);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public async Task GetGroupAsync2()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            GetGroupRequest request = new GetGroupRequest
            {
                Name = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString(),
            };
            Group expectedResponse = new Group
            {
                Name = "name2-1052831874",
                Enabled = false,
                BypassRolloutSchedule = true,
            };
            mockGrpcClient.Setup(x => x.GetGroupAsync(request, It.IsAny<CallOptions>()))
                .Returns(new Grpc.Core.AsyncUnaryCall<Group>(Task.FromResult(expectedResponse), null, null, null, null));
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            Group response = await client.GetGroupAsync(request);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public void ListGroups()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            ListGroupsRequest expectedRequest = new ListGroupsRequest
            {
                Name = new DeploymentName("[DEPLOYMENT]").ToString(),
                View = View.Basic,
            };
            ListGroupsResponse expectedResponse = new ListGroupsResponse();
            mockGrpcClient.Setup(x => x.ListGroups(expectedRequest, It.IsAny<CallOptions>()))
                .Returns(expectedResponse);
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            string formattedName = new DeploymentName("[DEPLOYMENT]").ToString();
            View view = View.Basic;
            ListGroupsResponse response = client.ListGroups(formattedName, view);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public async Task ListGroupsAsync()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            ListGroupsRequest expectedRequest = new ListGroupsRequest
            {
                Name = new DeploymentName("[DEPLOYMENT]").ToString(),
                View = View.Basic,
            };
            ListGroupsResponse expectedResponse = new ListGroupsResponse();
            mockGrpcClient.Setup(x => x.ListGroupsAsync(expectedRequest, It.IsAny<CallOptions>()))
                .Returns(new Grpc.Core.AsyncUnaryCall<ListGroupsResponse>(Task.FromResult(expectedResponse), null, null, null, null));
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            string formattedName = new DeploymentName("[DEPLOYMENT]").ToString();
            View view = View.Basic;
            ListGroupsResponse response = await client.ListGroupsAsync(formattedName, view);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public void ListGroups2()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            ListGroupsRequest request = new ListGroupsRequest
            {
                Name = new DeploymentName("[DEPLOYMENT]").ToString(),
            };
            ListGroupsResponse expectedResponse = new ListGroupsResponse();
            mockGrpcClient.Setup(x => x.ListGroups(request, It.IsAny<CallOptions>()))
                .Returns(expectedResponse);
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            ListGroupsResponse response = client.ListGroups(request);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public async Task ListGroupsAsync2()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            ListGroupsRequest request = new ListGroupsRequest
            {
                Name = new DeploymentName("[DEPLOYMENT]").ToString(),
            };
            ListGroupsResponse expectedResponse = new ListGroupsResponse();
            mockGrpcClient.Setup(x => x.ListGroupsAsync(request, It.IsAny<CallOptions>()))
                .Returns(new Grpc.Core.AsyncUnaryCall<ListGroupsResponse>(Task.FromResult(expectedResponse), null, null, null, null));
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            ListGroupsResponse response = await client.ListGroupsAsync(request);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public void DeleteGroup()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            DeleteGroupRequest expectedRequest = new DeleteGroupRequest
            {
                Name = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString(),
            };
            DeleteGroupResponse expectedResponse = new DeleteGroupResponse();
            mockGrpcClient.Setup(x => x.DeleteGroup(expectedRequest, It.IsAny<CallOptions>()))
                .Returns(expectedResponse);
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            string formattedName = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString();
            DeleteGroupResponse response = client.DeleteGroup(formattedName);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public async Task DeleteGroupAsync()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            DeleteGroupRequest expectedRequest = new DeleteGroupRequest
            {
                Name = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString(),
            };
            DeleteGroupResponse expectedResponse = new DeleteGroupResponse();
            mockGrpcClient.Setup(x => x.DeleteGroupAsync(expectedRequest, It.IsAny<CallOptions>()))
                .Returns(new Grpc.Core.AsyncUnaryCall<DeleteGroupResponse>(Task.FromResult(expectedResponse), null, null, null, null));
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            string formattedName = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString();
            DeleteGroupResponse response = await client.DeleteGroupAsync(formattedName);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public void DeleteGroup2()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            DeleteGroupRequest request = new DeleteGroupRequest
            {
                Name = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString(),
            };
            DeleteGroupResponse expectedResponse = new DeleteGroupResponse();
            mockGrpcClient.Setup(x => x.DeleteGroup(request, It.IsAny<CallOptions>()))
                .Returns(expectedResponse);
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            DeleteGroupResponse response = client.DeleteGroup(request);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public async Task DeleteGroupAsync2()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            DeleteGroupRequest request = new DeleteGroupRequest
            {
                Name = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString(),
            };
            DeleteGroupResponse expectedResponse = new DeleteGroupResponse();
            mockGrpcClient.Setup(x => x.DeleteGroupAsync(request, It.IsAny<CallOptions>()))
                .Returns(new Grpc.Core.AsyncUnaryCall<DeleteGroupResponse>(Task.FromResult(expectedResponse), null, null, null, null));
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            DeleteGroupResponse response = await client.DeleteGroupAsync(request);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public void UpdateGroup()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            UpdateGroupRequest expectedRequest = new UpdateGroupRequest
            {
                Name = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString(),
                Group = new Group(),
                VersionTag = new VersionTag(),
            };
            Group expectedResponse = new Group
            {
                Name = "name2-1052831874",
                Enabled = false,
                BypassRolloutSchedule = true,
            };
            mockGrpcClient.Setup(x => x.UpdateGroup(expectedRequest, It.IsAny<CallOptions>()))
                .Returns(expectedResponse);
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            string formattedName = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString();
            Group group = new Group();
            VersionTag versionTag = new VersionTag();
            Group response = client.UpdateGroup(formattedName, group, versionTag);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public async Task UpdateGroupAsync()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            UpdateGroupRequest expectedRequest = new UpdateGroupRequest
            {
                Name = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString(),
                Group = new Group(),
                VersionTag = new VersionTag(),
            };
            Group expectedResponse = new Group
            {
                Name = "name2-1052831874",
                Enabled = false,
                BypassRolloutSchedule = true,
            };
            mockGrpcClient.Setup(x => x.UpdateGroupAsync(expectedRequest, It.IsAny<CallOptions>()))
                .Returns(new Grpc.Core.AsyncUnaryCall<Group>(Task.FromResult(expectedResponse), null, null, null, null));
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            string formattedName = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString();
            Group group = new Group();
            VersionTag versionTag = new VersionTag();
            Group response = await client.UpdateGroupAsync(formattedName, group, versionTag);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public void UpdateGroup2()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            UpdateGroupRequest request = new UpdateGroupRequest
            {
                Name = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString(),
                Group = new Group(),
                VersionTag = new VersionTag(),
            };
            Group expectedResponse = new Group
            {
                Name = "name2-1052831874",
                Enabled = false,
                BypassRolloutSchedule = true,
            };
            mockGrpcClient.Setup(x => x.UpdateGroup(request, It.IsAny<CallOptions>()))
                .Returns(expectedResponse);
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            Group response = client.UpdateGroup(request);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public async Task UpdateGroupAsync2()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            UpdateGroupRequest request = new UpdateGroupRequest
            {
                Name = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString(),
                Group = new Group(),
                VersionTag = new VersionTag(),
            };
            Group expectedResponse = new Group
            {
                Name = "name2-1052831874",
                Enabled = false,
                BypassRolloutSchedule = true,
            };
            mockGrpcClient.Setup(x => x.UpdateGroupAsync(request, It.IsAny<CallOptions>()))
                .Returns(new Grpc.Core.AsyncUnaryCall<Group>(Task.FromResult(expectedResponse), null, null, null, null));
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            Group response = await client.UpdateGroupAsync(request);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public void DisableGroups()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            DisableGroupsRequest expectedRequest = new DisableGroupsRequest
            {
                Name = new DeploymentName("[DEPLOYMENT]").ToString(),
                GroupNames = { },
            };
            DisableGroupsResponse expectedResponse = new DisableGroupsResponse();
            mockGrpcClient.Setup(x => x.DisableGroups(expectedRequest, It.IsAny<CallOptions>()))
                .Returns(expectedResponse);
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            string formattedName = new DeploymentName("[DEPLOYMENT]").ToString();
            IEnumerable<string> groupNames = new List<string>();
            DisableGroupsResponse response = client.DisableGroups(formattedName, groupNames);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public async Task DisableGroupsAsync()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            DisableGroupsRequest expectedRequest = new DisableGroupsRequest
            {
                Name = new DeploymentName("[DEPLOYMENT]").ToString(),
                GroupNames = { },
            };
            DisableGroupsResponse expectedResponse = new DisableGroupsResponse();
            mockGrpcClient.Setup(x => x.DisableGroupsAsync(expectedRequest, It.IsAny<CallOptions>()))
                .Returns(new Grpc.Core.AsyncUnaryCall<DisableGroupsResponse>(Task.FromResult(expectedResponse), null, null, null, null));
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            string formattedName = new DeploymentName("[DEPLOYMENT]").ToString();
            IEnumerable<string> groupNames = new List<string>();
            DisableGroupsResponse response = await client.DisableGroupsAsync(formattedName, groupNames);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public void DisableGroups2()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            DisableGroupsRequest request = new DisableGroupsRequest
            {
                Name = new DeploymentName("[DEPLOYMENT]").ToString(),
                GroupNames = { },
            };
            DisableGroupsResponse expectedResponse = new DisableGroupsResponse();
            mockGrpcClient.Setup(x => x.DisableGroups(request, It.IsAny<CallOptions>()))
                .Returns(expectedResponse);
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            DisableGroupsResponse response = client.DisableGroups(request);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public async Task DisableGroupsAsync2()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            DisableGroupsRequest request = new DisableGroupsRequest
            {
                Name = new DeploymentName("[DEPLOYMENT]").ToString(),
                GroupNames = { },
            };
            DisableGroupsResponse expectedResponse = new DisableGroupsResponse();
            mockGrpcClient.Setup(x => x.DisableGroupsAsync(request, It.IsAny<CallOptions>()))
                .Returns(new Grpc.Core.AsyncUnaryCall<DisableGroupsResponse>(Task.FromResult(expectedResponse), null, null, null, null));
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            DisableGroupsResponse response = await client.DisableGroupsAsync(request);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public void EnableGroups()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            EnableGroupsRequest expectedRequest = new EnableGroupsRequest
            {
                Name = new DeploymentName("[DEPLOYMENT]").ToString(),
                GroupNames = { },
            };
            EnableGroupsResponse expectedResponse = new EnableGroupsResponse();
            mockGrpcClient.Setup(x => x.EnableGroups(expectedRequest, It.IsAny<CallOptions>()))
                .Returns(expectedResponse);
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            string formattedName = new DeploymentName("[DEPLOYMENT]").ToString();
            IEnumerable<string> groupNames = new List<string>();
            EnableGroupsResponse response = client.EnableGroups(formattedName, groupNames);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public async Task EnableGroupsAsync()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            EnableGroupsRequest expectedRequest = new EnableGroupsRequest
            {
                Name = new DeploymentName("[DEPLOYMENT]").ToString(),
                GroupNames = { },
            };
            EnableGroupsResponse expectedResponse = new EnableGroupsResponse();
            mockGrpcClient.Setup(x => x.EnableGroupsAsync(expectedRequest, It.IsAny<CallOptions>()))
                .Returns(new Grpc.Core.AsyncUnaryCall<EnableGroupsResponse>(Task.FromResult(expectedResponse), null, null, null, null));
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            string formattedName = new DeploymentName("[DEPLOYMENT]").ToString();
            IEnumerable<string> groupNames = new List<string>();
            EnableGroupsResponse response = await client.EnableGroupsAsync(formattedName, groupNames);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public void EnableGroups2()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            EnableGroupsRequest request = new EnableGroupsRequest
            {
                Name = new DeploymentName("[DEPLOYMENT]").ToString(),
                GroupNames = { },
            };
            EnableGroupsResponse expectedResponse = new EnableGroupsResponse();
            mockGrpcClient.Setup(x => x.EnableGroups(request, It.IsAny<CallOptions>()))
                .Returns(expectedResponse);
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            EnableGroupsResponse response = client.EnableGroups(request);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public async Task EnableGroupsAsync2()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            EnableGroupsRequest request = new EnableGroupsRequest
            {
                Name = new DeploymentName("[DEPLOYMENT]").ToString(),
                GroupNames = { },
            };
            EnableGroupsResponse expectedResponse = new EnableGroupsResponse();
            mockGrpcClient.Setup(x => x.EnableGroupsAsync(request, It.IsAny<CallOptions>()))
                .Returns(new Grpc.Core.AsyncUnaryCall<EnableGroupsResponse>(Task.FromResult(expectedResponse), null, null, null, null));
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            EnableGroupsResponse response = await client.EnableGroupsAsync(request);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public void CreateGroupMember()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            CreateGroupMemberRequest expectedRequest = new CreateGroupMemberRequest
            {
                Name = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString(),
                GroupMember = new GroupMember(),
            };
            GroupMember expectedResponse = new GroupMember
            {
                Name = "name2-1052831874",
            };
            mockGrpcClient.Setup(x => x.CreateGroupMember(expectedRequest, It.IsAny<CallOptions>()))
                .Returns(expectedResponse);
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            string formattedName = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString();
            GroupMember groupMember = new GroupMember();
            GroupMember response = client.CreateGroupMember(formattedName, groupMember);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public async Task CreateGroupMemberAsync()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            CreateGroupMemberRequest expectedRequest = new CreateGroupMemberRequest
            {
                Name = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString(),
                GroupMember = new GroupMember(),
            };
            GroupMember expectedResponse = new GroupMember
            {
                Name = "name2-1052831874",
            };
            mockGrpcClient.Setup(x => x.CreateGroupMemberAsync(expectedRequest, It.IsAny<CallOptions>()))
                .Returns(new Grpc.Core.AsyncUnaryCall<GroupMember>(Task.FromResult(expectedResponse), null, null, null, null));
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            string formattedName = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString();
            GroupMember groupMember = new GroupMember();
            GroupMember response = await client.CreateGroupMemberAsync(formattedName, groupMember);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public void CreateGroupMember2()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            CreateGroupMemberRequest request = new CreateGroupMemberRequest
            {
                Name = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString(),
                GroupMember = new GroupMember(),
            };
            GroupMember expectedResponse = new GroupMember
            {
                Name = "name2-1052831874",
            };
            mockGrpcClient.Setup(x => x.CreateGroupMember(request, It.IsAny<CallOptions>()))
                .Returns(expectedResponse);
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            GroupMember response = client.CreateGroupMember(request);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public async Task CreateGroupMemberAsync2()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            CreateGroupMemberRequest request = new CreateGroupMemberRequest
            {
                Name = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString(),
                GroupMember = new GroupMember(),
            };
            GroupMember expectedResponse = new GroupMember
            {
                Name = "name2-1052831874",
            };
            mockGrpcClient.Setup(x => x.CreateGroupMemberAsync(request, It.IsAny<CallOptions>()))
                .Returns(new Grpc.Core.AsyncUnaryCall<GroupMember>(Task.FromResult(expectedResponse), null, null, null, null));
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            GroupMember response = await client.CreateGroupMemberAsync(request);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public void CreateGroupMembers()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            CreateGroupMembersRequest expectedRequest = new CreateGroupMembersRequest
            {
                Name = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString(),
                GroupMembers = { },
            };
            CreateGroupMembersResponse expectedResponse = new CreateGroupMembersResponse();
            mockGrpcClient.Setup(x => x.CreateGroupMembers(expectedRequest, It.IsAny<CallOptions>()))
                .Returns(expectedResponse);
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            string formattedName = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString();
            IEnumerable<GroupMember> groupMembers = new List<GroupMember>();
            CreateGroupMembersResponse response = client.CreateGroupMembers(formattedName, groupMembers);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public async Task CreateGroupMembersAsync()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            CreateGroupMembersRequest expectedRequest = new CreateGroupMembersRequest
            {
                Name = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString(),
                GroupMembers = { },
            };
            CreateGroupMembersResponse expectedResponse = new CreateGroupMembersResponse();
            mockGrpcClient.Setup(x => x.CreateGroupMembersAsync(expectedRequest, It.IsAny<CallOptions>()))
                .Returns(new Grpc.Core.AsyncUnaryCall<CreateGroupMembersResponse>(Task.FromResult(expectedResponse), null, null, null, null));
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            string formattedName = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString();
            IEnumerable<GroupMember> groupMembers = new List<GroupMember>();
            CreateGroupMembersResponse response = await client.CreateGroupMembersAsync(formattedName, groupMembers);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public void CreateGroupMembers2()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            CreateGroupMembersRequest request = new CreateGroupMembersRequest
            {
                Name = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString(),
                GroupMembers = { },
            };
            CreateGroupMembersResponse expectedResponse = new CreateGroupMembersResponse();
            mockGrpcClient.Setup(x => x.CreateGroupMembers(request, It.IsAny<CallOptions>()))
                .Returns(expectedResponse);
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            CreateGroupMembersResponse response = client.CreateGroupMembers(request);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public async Task CreateGroupMembersAsync2()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            CreateGroupMembersRequest request = new CreateGroupMembersRequest
            {
                Name = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString(),
                GroupMembers = { },
            };
            CreateGroupMembersResponse expectedResponse = new CreateGroupMembersResponse();
            mockGrpcClient.Setup(x => x.CreateGroupMembersAsync(request, It.IsAny<CallOptions>()))
                .Returns(new Grpc.Core.AsyncUnaryCall<CreateGroupMembersResponse>(Task.FromResult(expectedResponse), null, null, null, null));
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            CreateGroupMembersResponse response = await client.CreateGroupMembersAsync(request);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public void GetGroupMember()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            GetGroupMemberRequest expectedRequest = new GetGroupMemberRequest
            {
                Name = new MemberName("[DEPLOYMENT]", "[GROUP]", "[MEMBER]").ToString(),
                View = View.Basic,
            };
            GroupMember expectedResponse = new GroupMember
            {
                Name = "name2-1052831874",
            };
            mockGrpcClient.Setup(x => x.GetGroupMember(expectedRequest, It.IsAny<CallOptions>()))
                .Returns(expectedResponse);
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            string formattedName = new MemberName("[DEPLOYMENT]", "[GROUP]", "[MEMBER]").ToString();
            View view = View.Basic;
            GroupMember response = client.GetGroupMember(formattedName, view);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public async Task GetGroupMemberAsync()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            GetGroupMemberRequest expectedRequest = new GetGroupMemberRequest
            {
                Name = new MemberName("[DEPLOYMENT]", "[GROUP]", "[MEMBER]").ToString(),
                View = View.Basic,
            };
            GroupMember expectedResponse = new GroupMember
            {
                Name = "name2-1052831874",
            };
            mockGrpcClient.Setup(x => x.GetGroupMemberAsync(expectedRequest, It.IsAny<CallOptions>()))
                .Returns(new Grpc.Core.AsyncUnaryCall<GroupMember>(Task.FromResult(expectedResponse), null, null, null, null));
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            string formattedName = new MemberName("[DEPLOYMENT]", "[GROUP]", "[MEMBER]").ToString();
            View view = View.Basic;
            GroupMember response = await client.GetGroupMemberAsync(formattedName, view);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public void GetGroupMember2()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            GetGroupMemberRequest request = new GetGroupMemberRequest
            {
                Name = new MemberName("[DEPLOYMENT]", "[GROUP]", "[MEMBER]").ToString(),
            };
            GroupMember expectedResponse = new GroupMember
            {
                Name = "name2-1052831874",
            };
            mockGrpcClient.Setup(x => x.GetGroupMember(request, It.IsAny<CallOptions>()))
                .Returns(expectedResponse);
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            GroupMember response = client.GetGroupMember(request);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public async Task GetGroupMemberAsync2()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            GetGroupMemberRequest request = new GetGroupMemberRequest
            {
                Name = new MemberName("[DEPLOYMENT]", "[GROUP]", "[MEMBER]").ToString(),
            };
            GroupMember expectedResponse = new GroupMember
            {
                Name = "name2-1052831874",
            };
            mockGrpcClient.Setup(x => x.GetGroupMemberAsync(request, It.IsAny<CallOptions>()))
                .Returns(new Grpc.Core.AsyncUnaryCall<GroupMember>(Task.FromResult(expectedResponse), null, null, null, null));
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            GroupMember response = await client.GetGroupMemberAsync(request);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public void ListGroupMembers()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            ListGroupMembersRequest expectedRequest = new ListGroupMembersRequest
            {
                Name = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString(),
            };
            ListGroupMembersResponse expectedResponse = new ListGroupMembersResponse();
            mockGrpcClient.Setup(x => x.ListGroupMembers(expectedRequest, It.IsAny<CallOptions>()))
                .Returns(expectedResponse);
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            string formattedName = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString();
            ListGroupMembersResponse response = client.ListGroupMembers(formattedName);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public async Task ListGroupMembersAsync()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            ListGroupMembersRequest expectedRequest = new ListGroupMembersRequest
            {
                Name = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString(),
            };
            ListGroupMembersResponse expectedResponse = new ListGroupMembersResponse();
            mockGrpcClient.Setup(x => x.ListGroupMembersAsync(expectedRequest, It.IsAny<CallOptions>()))
                .Returns(new Grpc.Core.AsyncUnaryCall<ListGroupMembersResponse>(Task.FromResult(expectedResponse), null, null, null, null));
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            string formattedName = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString();
            ListGroupMembersResponse response = await client.ListGroupMembersAsync(formattedName);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public void ListGroupMembers2()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            ListGroupMembersRequest request = new ListGroupMembersRequest
            {
                Name = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString(),
            };
            ListGroupMembersResponse expectedResponse = new ListGroupMembersResponse();
            mockGrpcClient.Setup(x => x.ListGroupMembers(request, It.IsAny<CallOptions>()))
                .Returns(expectedResponse);
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            ListGroupMembersResponse response = client.ListGroupMembers(request);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public async Task ListGroupMembersAsync2()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            ListGroupMembersRequest request = new ListGroupMembersRequest
            {
                Name = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString(),
            };
            ListGroupMembersResponse expectedResponse = new ListGroupMembersResponse();
            mockGrpcClient.Setup(x => x.ListGroupMembersAsync(request, It.IsAny<CallOptions>()))
                .Returns(new Grpc.Core.AsyncUnaryCall<ListGroupMembersResponse>(Task.FromResult(expectedResponse), null, null, null, null));
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            ListGroupMembersResponse response = await client.ListGroupMembersAsync(request);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public void DeleteGroupMember()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            DeleteGroupMemberRequest expectedRequest = new DeleteGroupMemberRequest
            {
                Name = new MemberName("[DEPLOYMENT]", "[GROUP]", "[MEMBER]").ToString(),
            };
            DeleteGroupMemberResponse expectedResponse = new DeleteGroupMemberResponse();
            mockGrpcClient.Setup(x => x.DeleteGroupMember(expectedRequest, It.IsAny<CallOptions>()))
                .Returns(expectedResponse);
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            string formattedName = new MemberName("[DEPLOYMENT]", "[GROUP]", "[MEMBER]").ToString();
            DeleteGroupMemberResponse response = client.DeleteGroupMember(formattedName);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public async Task DeleteGroupMemberAsync()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            DeleteGroupMemberRequest expectedRequest = new DeleteGroupMemberRequest
            {
                Name = new MemberName("[DEPLOYMENT]", "[GROUP]", "[MEMBER]").ToString(),
            };
            DeleteGroupMemberResponse expectedResponse = new DeleteGroupMemberResponse();
            mockGrpcClient.Setup(x => x.DeleteGroupMemberAsync(expectedRequest, It.IsAny<CallOptions>()))
                .Returns(new Grpc.Core.AsyncUnaryCall<DeleteGroupMemberResponse>(Task.FromResult(expectedResponse), null, null, null, null));
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            string formattedName = new MemberName("[DEPLOYMENT]", "[GROUP]", "[MEMBER]").ToString();
            DeleteGroupMemberResponse response = await client.DeleteGroupMemberAsync(formattedName);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public void DeleteGroupMember2()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            DeleteGroupMemberRequest request = new DeleteGroupMemberRequest
            {
                Name = new MemberName("[DEPLOYMENT]", "[GROUP]", "[MEMBER]").ToString(),
            };
            DeleteGroupMemberResponse expectedResponse = new DeleteGroupMemberResponse();
            mockGrpcClient.Setup(x => x.DeleteGroupMember(request, It.IsAny<CallOptions>()))
                .Returns(expectedResponse);
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            DeleteGroupMemberResponse response = client.DeleteGroupMember(request);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public async Task DeleteGroupMemberAsync2()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            DeleteGroupMemberRequest request = new DeleteGroupMemberRequest
            {
                Name = new MemberName("[DEPLOYMENT]", "[GROUP]", "[MEMBER]").ToString(),
            };
            DeleteGroupMemberResponse expectedResponse = new DeleteGroupMemberResponse();
            mockGrpcClient.Setup(x => x.DeleteGroupMemberAsync(request, It.IsAny<CallOptions>()))
                .Returns(new Grpc.Core.AsyncUnaryCall<DeleteGroupMemberResponse>(Task.FromResult(expectedResponse), null, null, null, null));
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            DeleteGroupMemberResponse response = await client.DeleteGroupMemberAsync(request);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public void DeleteGroupMembers()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            DeleteGroupMembersRequest expectedRequest = new DeleteGroupMembersRequest
            {
                Name = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString(),
                GroupMembers = { },
            };
            DeleteGroupMembersResponse expectedResponse = new DeleteGroupMembersResponse();
            mockGrpcClient.Setup(x => x.DeleteGroupMembers(expectedRequest, It.IsAny<CallOptions>()))
                .Returns(expectedResponse);
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            string formattedName = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString();
            IEnumerable<GroupMember> groupMembers = new List<GroupMember>();
            DeleteGroupMembersResponse response = client.DeleteGroupMembers(formattedName, groupMembers);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public async Task DeleteGroupMembersAsync()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            DeleteGroupMembersRequest expectedRequest = new DeleteGroupMembersRequest
            {
                Name = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString(),
                GroupMembers = { },
            };
            DeleteGroupMembersResponse expectedResponse = new DeleteGroupMembersResponse();
            mockGrpcClient.Setup(x => x.DeleteGroupMembersAsync(expectedRequest, It.IsAny<CallOptions>()))
                .Returns(new Grpc.Core.AsyncUnaryCall<DeleteGroupMembersResponse>(Task.FromResult(expectedResponse), null, null, null, null));
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            string formattedName = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString();
            IEnumerable<GroupMember> groupMembers = new List<GroupMember>();
            DeleteGroupMembersResponse response = await client.DeleteGroupMembersAsync(formattedName, groupMembers);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public void DeleteGroupMembers2()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            DeleteGroupMembersRequest request = new DeleteGroupMembersRequest
            {
                Name = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString(),
                GroupMembers = { },
            };
            DeleteGroupMembersResponse expectedResponse = new DeleteGroupMembersResponse();
            mockGrpcClient.Setup(x => x.DeleteGroupMembers(request, It.IsAny<CallOptions>()))
                .Returns(expectedResponse);
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            DeleteGroupMembersResponse response = client.DeleteGroupMembers(request);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public async Task DeleteGroupMembersAsync2()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            DeleteGroupMembersRequest request = new DeleteGroupMembersRequest
            {
                Name = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString(),
                GroupMembers = { },
            };
            DeleteGroupMembersResponse expectedResponse = new DeleteGroupMembersResponse();
            mockGrpcClient.Setup(x => x.DeleteGroupMembersAsync(request, It.IsAny<CallOptions>()))
                .Returns(new Grpc.Core.AsyncUnaryCall<DeleteGroupMembersResponse>(Task.FromResult(expectedResponse), null, null, null, null));
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            DeleteGroupMembersResponse response = await client.DeleteGroupMembersAsync(request);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public void GetGroupChart()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            GetGroupChartRequest expectedRequest = new GetGroupChartRequest
            {
                Name = new ChartName("[DEPLOYMENT]", "[GROUP]", "[CHART]").ToString(),
                Options = new ChartOptions(),
            };
            Chart expectedResponse = new Chart
            {
                Name = "name2-1052831874",
            };
            mockGrpcClient.Setup(x => x.GetGroupChart(expectedRequest, It.IsAny<CallOptions>()))
                .Returns(expectedResponse);
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            string formattedName = new ChartName("[DEPLOYMENT]", "[GROUP]", "[CHART]").ToString();
            ChartOptions options = new ChartOptions();
            Chart response = client.GetGroupChart(formattedName, options);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public async Task GetGroupChartAsync()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            GetGroupChartRequest expectedRequest = new GetGroupChartRequest
            {
                Name = new ChartName("[DEPLOYMENT]", "[GROUP]", "[CHART]").ToString(),
                Options = new ChartOptions(),
            };
            Chart expectedResponse = new Chart
            {
                Name = "name2-1052831874",
            };
            mockGrpcClient.Setup(x => x.GetGroupChartAsync(expectedRequest, It.IsAny<CallOptions>()))
                .Returns(new Grpc.Core.AsyncUnaryCall<Chart>(Task.FromResult(expectedResponse), null, null, null, null));
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            string formattedName = new ChartName("[DEPLOYMENT]", "[GROUP]", "[CHART]").ToString();
            ChartOptions options = new ChartOptions();
            Chart response = await client.GetGroupChartAsync(formattedName, options);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public void GetGroupChart2()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            GetGroupChartRequest request = new GetGroupChartRequest
            {
                Name = new ChartName("[DEPLOYMENT]", "[GROUP]", "[CHART]").ToString(),
            };
            Chart expectedResponse = new Chart
            {
                Name = "name2-1052831874",
            };
            mockGrpcClient.Setup(x => x.GetGroupChart(request, It.IsAny<CallOptions>()))
                .Returns(expectedResponse);
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            Chart response = client.GetGroupChart(request);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public async Task GetGroupChartAsync2()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            GetGroupChartRequest request = new GetGroupChartRequest
            {
                Name = new ChartName("[DEPLOYMENT]", "[GROUP]", "[CHART]").ToString(),
            };
            Chart expectedResponse = new Chart
            {
                Name = "name2-1052831874",
            };
            mockGrpcClient.Setup(x => x.GetGroupChartAsync(request, It.IsAny<CallOptions>()))
                .Returns(new Grpc.Core.AsyncUnaryCall<Chart>(Task.FromResult(expectedResponse), null, null, null, null));
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            Chart response = await client.GetGroupChartAsync(request);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public void ListGroupCharts()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            ListGroupChartsRequest expectedRequest = new ListGroupChartsRequest
            {
                Name = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString(),
                Options = new ChartOptions(),
                View = View.Basic,
            };
            ListGroupChartsResponse expectedResponse = new ListGroupChartsResponse();
            mockGrpcClient.Setup(x => x.ListGroupCharts(expectedRequest, It.IsAny<CallOptions>()))
                .Returns(expectedResponse);
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            string formattedName = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString();
            ChartOptions options = new ChartOptions();
            View view = View.Basic;
            ListGroupChartsResponse response = client.ListGroupCharts(formattedName, options, view);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public async Task ListGroupChartsAsync()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            ListGroupChartsRequest expectedRequest = new ListGroupChartsRequest
            {
                Name = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString(),
                Options = new ChartOptions(),
                View = View.Basic,
            };
            ListGroupChartsResponse expectedResponse = new ListGroupChartsResponse();
            mockGrpcClient.Setup(x => x.ListGroupChartsAsync(expectedRequest, It.IsAny<CallOptions>()))
                .Returns(new Grpc.Core.AsyncUnaryCall<ListGroupChartsResponse>(Task.FromResult(expectedResponse), null, null, null, null));
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            string formattedName = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString();
            ChartOptions options = new ChartOptions();
            View view = View.Basic;
            ListGroupChartsResponse response = await client.ListGroupChartsAsync(formattedName, options, view);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public void ListGroupCharts2()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            ListGroupChartsRequest request = new ListGroupChartsRequest
            {
                Name = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString(),
            };
            ListGroupChartsResponse expectedResponse = new ListGroupChartsResponse();
            mockGrpcClient.Setup(x => x.ListGroupCharts(request, It.IsAny<CallOptions>()))
                .Returns(expectedResponse);
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            ListGroupChartsResponse response = client.ListGroupCharts(request);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public async Task ListGroupChartsAsync2()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            ListGroupChartsRequest request = new ListGroupChartsRequest
            {
                Name = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString(),
            };
            ListGroupChartsResponse expectedResponse = new ListGroupChartsResponse();
            mockGrpcClient.Setup(x => x.ListGroupChartsAsync(request, It.IsAny<CallOptions>()))
                .Returns(new Grpc.Core.AsyncUnaryCall<ListGroupChartsResponse>(Task.FromResult(expectedResponse), null, null, null, null));
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            ListGroupChartsResponse response = await client.ListGroupChartsAsync(request);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public void ListGroupConfigs()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            ListGroupConfigsRequest expectedRequest = new ListGroupConfigsRequest
            {
                Name = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString(),
            };
            ListGroupConfigsResponse expectedResponse = new ListGroupConfigsResponse();
            mockGrpcClient.Setup(x => x.ListGroupConfigs(expectedRequest, It.IsAny<CallOptions>()))
                .Returns(expectedResponse);
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            string formattedName = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString();
            ListGroupConfigsResponse response = client.ListGroupConfigs(formattedName);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public async Task ListGroupConfigsAsync()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            ListGroupConfigsRequest expectedRequest = new ListGroupConfigsRequest
            {
                Name = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString(),
            };
            ListGroupConfigsResponse expectedResponse = new ListGroupConfigsResponse();
            mockGrpcClient.Setup(x => x.ListGroupConfigsAsync(expectedRequest, It.IsAny<CallOptions>()))
                .Returns(new Grpc.Core.AsyncUnaryCall<ListGroupConfigsResponse>(Task.FromResult(expectedResponse), null, null, null, null));
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            string formattedName = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString();
            ListGroupConfigsResponse response = await client.ListGroupConfigsAsync(formattedName);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public void ListGroupConfigs2()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            ListGroupConfigsRequest request = new ListGroupConfigsRequest
            {
                Name = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString(),
            };
            ListGroupConfigsResponse expectedResponse = new ListGroupConfigsResponse();
            mockGrpcClient.Setup(x => x.ListGroupConfigs(request, It.IsAny<CallOptions>()))
                .Returns(expectedResponse);
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            ListGroupConfigsResponse response = client.ListGroupConfigs(request);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public async Task ListGroupConfigsAsync2()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            ListGroupConfigsRequest request = new ListGroupConfigsRequest
            {
                Name = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString(),
            };
            ListGroupConfigsResponse expectedResponse = new ListGroupConfigsResponse();
            mockGrpcClient.Setup(x => x.ListGroupConfigsAsync(request, It.IsAny<CallOptions>()))
                .Returns(new Grpc.Core.AsyncUnaryCall<ListGroupConfigsResponse>(Task.FromResult(expectedResponse), null, null, null, null));
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            ListGroupConfigsResponse response = await client.ListGroupConfigsAsync(request);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public void UpdateGroupConfigs()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            UpdateGroupConfigsRequest expectedRequest = new UpdateGroupConfigsRequest
            {
                Name = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString(),
                ConfigNames = { },
                VersionTag = new VersionTag(),
            };
            UpdateGroupConfigsResponse expectedResponse = new UpdateGroupConfigsResponse();
            mockGrpcClient.Setup(x => x.UpdateGroupConfigs(expectedRequest, It.IsAny<CallOptions>()))
                .Returns(expectedResponse);
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            string formattedName = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString();
            IEnumerable<string> configNames = new List<string>();
            VersionTag versionTag = new VersionTag();
            UpdateGroupConfigsResponse response = client.UpdateGroupConfigs(formattedName, configNames, versionTag);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public async Task UpdateGroupConfigsAsync()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            UpdateGroupConfigsRequest expectedRequest = new UpdateGroupConfigsRequest
            {
                Name = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString(),
                ConfigNames = { },
                VersionTag = new VersionTag(),
            };
            UpdateGroupConfigsResponse expectedResponse = new UpdateGroupConfigsResponse();
            mockGrpcClient.Setup(x => x.UpdateGroupConfigsAsync(expectedRequest, It.IsAny<CallOptions>()))
                .Returns(new Grpc.Core.AsyncUnaryCall<UpdateGroupConfigsResponse>(Task.FromResult(expectedResponse), null, null, null, null));
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            string formattedName = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString();
            IEnumerable<string> configNames = new List<string>();
            VersionTag versionTag = new VersionTag();
            UpdateGroupConfigsResponse response = await client.UpdateGroupConfigsAsync(formattedName, configNames, versionTag);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public void UpdateGroupConfigs2()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            UpdateGroupConfigsRequest request = new UpdateGroupConfigsRequest
            {
                Name = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString(),
                ConfigNames = { },
                VersionTag = new VersionTag(),
            };
            UpdateGroupConfigsResponse expectedResponse = new UpdateGroupConfigsResponse();
            mockGrpcClient.Setup(x => x.UpdateGroupConfigs(request, It.IsAny<CallOptions>()))
                .Returns(expectedResponse);
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            UpdateGroupConfigsResponse response = client.UpdateGroupConfigs(request);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public async Task UpdateGroupConfigsAsync2()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            UpdateGroupConfigsRequest request = new UpdateGroupConfigsRequest
            {
                Name = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString(),
                ConfigNames = { },
                VersionTag = new VersionTag(),
            };
            UpdateGroupConfigsResponse expectedResponse = new UpdateGroupConfigsResponse();
            mockGrpcClient.Setup(x => x.UpdateGroupConfigsAsync(request, It.IsAny<CallOptions>()))
                .Returns(new Grpc.Core.AsyncUnaryCall<UpdateGroupConfigsResponse>(Task.FromResult(expectedResponse), null, null, null, null));
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            UpdateGroupConfigsResponse response = await client.UpdateGroupConfigsAsync(request);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public void DisableAllEnabledGroupsOfConfig()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            DisableAllEnabledGroupsOfConfigRequest expectedRequest = new DisableAllEnabledGroupsOfConfigRequest
            {
                Name = new ConfigName("[DEPLOYMENT]", "[CONFIG]").ToString(),
            };
            DisableAllEnabledGroupsOfConfigResponse expectedResponse = new DisableAllEnabledGroupsOfConfigResponse();
            mockGrpcClient.Setup(x => x.DisableAllEnabledGroupsOfConfig(expectedRequest, It.IsAny<CallOptions>()))
                .Returns(expectedResponse);
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            string formattedName = new ConfigName("[DEPLOYMENT]", "[CONFIG]").ToString();
            DisableAllEnabledGroupsOfConfigResponse response = client.DisableAllEnabledGroupsOfConfig(formattedName);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public async Task DisableAllEnabledGroupsOfConfigAsync()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            DisableAllEnabledGroupsOfConfigRequest expectedRequest = new DisableAllEnabledGroupsOfConfigRequest
            {
                Name = new ConfigName("[DEPLOYMENT]", "[CONFIG]").ToString(),
            };
            DisableAllEnabledGroupsOfConfigResponse expectedResponse = new DisableAllEnabledGroupsOfConfigResponse();
            mockGrpcClient.Setup(x => x.DisableAllEnabledGroupsOfConfigAsync(expectedRequest, It.IsAny<CallOptions>()))
                .Returns(new Grpc.Core.AsyncUnaryCall<DisableAllEnabledGroupsOfConfigResponse>(Task.FromResult(expectedResponse), null, null, null, null));
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            string formattedName = new ConfigName("[DEPLOYMENT]", "[CONFIG]").ToString();
            DisableAllEnabledGroupsOfConfigResponse response = await client.DisableAllEnabledGroupsOfConfigAsync(formattedName);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public void DisableAllEnabledGroupsOfConfig2()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            DisableAllEnabledGroupsOfConfigRequest request = new DisableAllEnabledGroupsOfConfigRequest
            {
                Name = new ConfigName("[DEPLOYMENT]", "[CONFIG]").ToString(),
            };
            DisableAllEnabledGroupsOfConfigResponse expectedResponse = new DisableAllEnabledGroupsOfConfigResponse();
            mockGrpcClient.Setup(x => x.DisableAllEnabledGroupsOfConfig(request, It.IsAny<CallOptions>()))
                .Returns(expectedResponse);
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            DisableAllEnabledGroupsOfConfigResponse response = client.DisableAllEnabledGroupsOfConfig(request);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public async Task DisableAllEnabledGroupsOfConfigAsync2()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            DisableAllEnabledGroupsOfConfigRequest request = new DisableAllEnabledGroupsOfConfigRequest
            {
                Name = new ConfigName("[DEPLOYMENT]", "[CONFIG]").ToString(),
            };
            DisableAllEnabledGroupsOfConfigResponse expectedResponse = new DisableAllEnabledGroupsOfConfigResponse();
            mockGrpcClient.Setup(x => x.DisableAllEnabledGroupsOfConfigAsync(request, It.IsAny<CallOptions>()))
                .Returns(new Grpc.Core.AsyncUnaryCall<DisableAllEnabledGroupsOfConfigResponse>(Task.FromResult(expectedResponse), null, null, null, null));
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            DisableAllEnabledGroupsOfConfigResponse response = await client.DisableAllEnabledGroupsOfConfigAsync(request);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public void ListConfigPackages()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            ListConfigPackagesRequest expectedRequest = new ListConfigPackagesRequest
            {
                Name = new ConfigName("[DEPLOYMENT]", "[CONFIG]").ToString(),
            };
            ListConfigPackagesResponse expectedResponse = new ListConfigPackagesResponse();
            mockGrpcClient.Setup(x => x.ListConfigPackages(expectedRequest, It.IsAny<CallOptions>()))
                .Returns(expectedResponse);
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            string formattedName = new ConfigName("[DEPLOYMENT]", "[CONFIG]").ToString();
            ListConfigPackagesResponse response = client.ListConfigPackages(formattedName);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public async Task ListConfigPackagesAsync()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            ListConfigPackagesRequest expectedRequest = new ListConfigPackagesRequest
            {
                Name = new ConfigName("[DEPLOYMENT]", "[CONFIG]").ToString(),
            };
            ListConfigPackagesResponse expectedResponse = new ListConfigPackagesResponse();
            mockGrpcClient.Setup(x => x.ListConfigPackagesAsync(expectedRequest, It.IsAny<CallOptions>()))
                .Returns(new Grpc.Core.AsyncUnaryCall<ListConfigPackagesResponse>(Task.FromResult(expectedResponse), null, null, null, null));
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            string formattedName = new ConfigName("[DEPLOYMENT]", "[CONFIG]").ToString();
            ListConfigPackagesResponse response = await client.ListConfigPackagesAsync(formattedName);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public void ListConfigPackages2()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            ListConfigPackagesRequest request = new ListConfigPackagesRequest
            {
                Name = new ConfigName("[DEPLOYMENT]", "[CONFIG]").ToString(),
            };
            ListConfigPackagesResponse expectedResponse = new ListConfigPackagesResponse();
            mockGrpcClient.Setup(x => x.ListConfigPackages(request, It.IsAny<CallOptions>()))
                .Returns(expectedResponse);
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            ListConfigPackagesResponse response = client.ListConfigPackages(request);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public async Task ListConfigPackagesAsync2()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            ListConfigPackagesRequest request = new ListConfigPackagesRequest
            {
                Name = new ConfigName("[DEPLOYMENT]", "[CONFIG]").ToString(),
            };
            ListConfigPackagesResponse expectedResponse = new ListConfigPackagesResponse();
            mockGrpcClient.Setup(x => x.ListConfigPackagesAsync(request, It.IsAny<CallOptions>()))
                .Returns(new Grpc.Core.AsyncUnaryCall<ListConfigPackagesResponse>(Task.FromResult(expectedResponse), null, null, null, null));
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            ListConfigPackagesResponse response = await client.ListConfigPackagesAsync(request);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public void UpdateConfigPackages()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            UpdateConfigPackagesRequest expectedRequest = new UpdateConfigPackagesRequest
            {
                Name = new ConfigName("[DEPLOYMENT]", "[CONFIG]").ToString(),
                PackageConfigs = { },
            };
            UpdateConfigPackagesResponse expectedResponse = new UpdateConfigPackagesResponse();
            mockGrpcClient.Setup(x => x.UpdateConfigPackages(expectedRequest, It.IsAny<CallOptions>()))
                .Returns(expectedResponse);
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            string formattedName = new ConfigName("[DEPLOYMENT]", "[CONFIG]").ToString();
            IEnumerable<PackageConfig> packageConfigs = new List<PackageConfig>();
            UpdateConfigPackagesResponse response = client.UpdateConfigPackages(formattedName, packageConfigs);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public async Task UpdateConfigPackagesAsync()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            UpdateConfigPackagesRequest expectedRequest = new UpdateConfigPackagesRequest
            {
                Name = new ConfigName("[DEPLOYMENT]", "[CONFIG]").ToString(),
                PackageConfigs = { },
            };
            UpdateConfigPackagesResponse expectedResponse = new UpdateConfigPackagesResponse();
            mockGrpcClient.Setup(x => x.UpdateConfigPackagesAsync(expectedRequest, It.IsAny<CallOptions>()))
                .Returns(new Grpc.Core.AsyncUnaryCall<UpdateConfigPackagesResponse>(Task.FromResult(expectedResponse), null, null, null, null));
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            string formattedName = new ConfigName("[DEPLOYMENT]", "[CONFIG]").ToString();
            IEnumerable<PackageConfig> packageConfigs = new List<PackageConfig>();
            UpdateConfigPackagesResponse response = await client.UpdateConfigPackagesAsync(formattedName, packageConfigs);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public void UpdateConfigPackages2()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            UpdateConfigPackagesRequest request = new UpdateConfigPackagesRequest
            {
                Name = new ConfigName("[DEPLOYMENT]", "[CONFIG]").ToString(),
                PackageConfigs = { },
            };
            UpdateConfigPackagesResponse expectedResponse = new UpdateConfigPackagesResponse();
            mockGrpcClient.Setup(x => x.UpdateConfigPackages(request, It.IsAny<CallOptions>()))
                .Returns(expectedResponse);
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            UpdateConfigPackagesResponse response = client.UpdateConfigPackages(request);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public async Task UpdateConfigPackagesAsync2()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            UpdateConfigPackagesRequest request = new UpdateConfigPackagesRequest
            {
                Name = new ConfigName("[DEPLOYMENT]", "[CONFIG]").ToString(),
                PackageConfigs = { },
            };
            UpdateConfigPackagesResponse expectedResponse = new UpdateConfigPackagesResponse();
            mockGrpcClient.Setup(x => x.UpdateConfigPackagesAsync(request, It.IsAny<CallOptions>()))
                .Returns(new Grpc.Core.AsyncUnaryCall<UpdateConfigPackagesResponse>(Task.FromResult(expectedResponse), null, null, null, null));
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            UpdateConfigPackagesResponse response = await client.UpdateConfigPackagesAsync(request);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public void ListConfigsUsingPackage()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            ListConfigsUsingPackageRequest expectedRequest = new ListConfigsUsingPackageRequest
            {
                Name = new PackagePathName("[DEPLOYMENT]", "[PACKAGE_PATH]").ToString(),
            };
            ListConfigsUsingPackageResponse expectedResponse = new ListConfigsUsingPackageResponse();
            mockGrpcClient.Setup(x => x.ListConfigsUsingPackage(expectedRequest, It.IsAny<CallOptions>()))
                .Returns(expectedResponse);
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            string formattedName = new PackagePathName("[DEPLOYMENT]", "[PACKAGE_PATH]").ToString();
            ListConfigsUsingPackageResponse response = client.ListConfigsUsingPackage(formattedName);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public async Task ListConfigsUsingPackageAsync()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            ListConfigsUsingPackageRequest expectedRequest = new ListConfigsUsingPackageRequest
            {
                Name = new PackagePathName("[DEPLOYMENT]", "[PACKAGE_PATH]").ToString(),
            };
            ListConfigsUsingPackageResponse expectedResponse = new ListConfigsUsingPackageResponse();
            mockGrpcClient.Setup(x => x.ListConfigsUsingPackageAsync(expectedRequest, It.IsAny<CallOptions>()))
                .Returns(new Grpc.Core.AsyncUnaryCall<ListConfigsUsingPackageResponse>(Task.FromResult(expectedResponse), null, null, null, null));
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            string formattedName = new PackagePathName("[DEPLOYMENT]", "[PACKAGE_PATH]").ToString();
            ListConfigsUsingPackageResponse response = await client.ListConfigsUsingPackageAsync(formattedName);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public void ListConfigsUsingPackage2()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            ListConfigsUsingPackageRequest request = new ListConfigsUsingPackageRequest
            {
                Name = new PackagePathName("[DEPLOYMENT]", "[PACKAGE_PATH]").ToString(),
            };
            ListConfigsUsingPackageResponse expectedResponse = new ListConfigsUsingPackageResponse();
            mockGrpcClient.Setup(x => x.ListConfigsUsingPackage(request, It.IsAny<CallOptions>()))
                .Returns(expectedResponse);
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            ListConfigsUsingPackageResponse response = client.ListConfigsUsingPackage(request);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

        [Fact]
        public async Task ListConfigsUsingPackageAsync2()
        {
            Mock<OverTheAirService.OverTheAirServiceClient> mockGrpcClient = new Mock<OverTheAirService.OverTheAirServiceClient>(MockBehavior.Strict);
            ListConfigsUsingPackageRequest request = new ListConfigsUsingPackageRequest
            {
                Name = new PackagePathName("[DEPLOYMENT]", "[PACKAGE_PATH]").ToString(),
            };
            ListConfigsUsingPackageResponse expectedResponse = new ListConfigsUsingPackageResponse();
            mockGrpcClient.Setup(x => x.ListConfigsUsingPackageAsync(request, It.IsAny<CallOptions>()))
                .Returns(new Grpc.Core.AsyncUnaryCall<ListConfigsUsingPackageResponse>(Task.FromResult(expectedResponse), null, null, null, null));
            OverTheAirServiceClient client = new OverTheAirServiceClientImpl(mockGrpcClient.Object, null);
            ListConfigsUsingPackageResponse response = await client.ListConfigsUsingPackageAsync(request);
            Assert.Same(expectedResponse, response);
            mockGrpcClient.VerifyAll();
        }

    }
}
